# Trading Fees and Price Impact

Price impact and trading fees are incurred whenever an account's position changes.

#### **Settlement Fee** <a href="#settlement-fee" id="settlement-fee"></a>

The settlement fee is charged anytime the position changes – this is a fixed amount set by the settlementFee parameter and is used to cover the oracle keeper fee.

𝑠𝑒𝑡𝑡𝑙𝑒𝑚𝑒𝑛𝑡𝐹𝑒𝑒=𝑠𝑒𝑡𝑡𝑙𝑒𝑚𝑒𝑛𝑡𝐹𝑒𝑒settlementFee=settlementFee

#### **Taker Price Impact** <a href="#taker-price-impact" id="taker-price-impact"></a>

Charged when a long or short position is opened or closed – there are three components to the taker impact:

* Notional size of the order,
* Change in skew that it causes the market
* Impact that it causes the market.

The change in skew is defined as ∣𝑠𝑘𝑒𝑤’−𝑠𝑘𝑒𝑤∣∣skew’−skew∣, and is meant to measure the size of the order relative to the market.

The impact is defined as ∣𝑠𝑘𝑒𝑤’∣−∣𝑠𝑘𝑒𝑤∣∣skew’∣−∣skew∣, and is meant to measure how much the order hurt or helped the overall skew of the market.

𝑠𝑘𝑒𝑤𝐹𝑒𝑒=Δ𝑠𝑘𝑒𝑤∗𝑡𝑎𝑘𝑒𝑟𝑆𝑘𝑒𝑤𝐹𝑒𝑒𝑖𝑚𝑝𝑎𝑐𝑡𝐹𝑒𝑒=𝑖𝑚𝑝𝑎𝑐𝑡∗𝑡𝑎𝑘𝑒𝑟𝐼𝑚𝑝𝑎𝑐𝑡𝐹𝑒𝑒𝑡𝑎𝑘𝑒𝑟𝑃𝑟𝑖𝑐𝑒𝐼𝑚𝑝𝑎𝑐𝑡=𝑛𝑜𝑡𝑖𝑜𝑛𝑎𝑙∗(𝑏𝑎𝑠𝑒𝐹𝑒𝑒+𝑠𝑘𝑒𝑤𝐹𝑒𝑒+𝑖𝑚𝑝𝑎𝑐𝑡𝐹𝑒𝑒)skewFeeimpactFeetakerPriceImpact​=Δskew∗takerSkewFee=impact∗takerImpactFee=notional∗(baseFee+skewFee+impactFee)​

#### **Maker Fee** <a href="#maker-fee" id="maker-fee"></a>

Similarly, the maker fee is charged when a maker position is opened or closed – There are two components to the maker fee:

* Notional size of the order
* Change in utilization that it causes the market.

The change in utilization is defined as `utilization’ - utilization`, and is meant to measure how much the order hurt or helped the overall utilization of the market.

𝑚𝑎𝑘𝑒𝑟𝑓𝑒𝑒=𝑛𝑜𝑡𝑖𝑜𝑛𝑎𝑙∗(𝑚𝑎𝑘𝑒𝑟𝐹𝑒𝑒+Δ𝑢𝑡𝑖𝑙𝑖𝑧𝑎𝑡𝑖𝑜𝑛∗𝑚𝑎𝑘𝑒𝑟𝐼𝑚𝑝𝑎𝑐𝑡𝐹𝑒𝑒)makerfee=notional∗(makerFee+Δutilization∗makerImpactFee)

### Fee Split <a href="#fee-split" id="fee-split"></a>

All collected fees are split between the Makers (and in rare cases takers), Perennial treasury, and the respective Product owner's treasury.

This allows market owners (whether individual organization or DAOs / protocols) to collect revenue directly from the administration of the Products and their parameters.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kwenta.io/using-kwenta/perennial-isolated-margin/perennial-intro/trading-fees-and-price-impact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
